LINUX.ORG.RU

Релиз xine-lib 1.1.19

 , ,


0

0

Xine — плеер с открытым исходным кодом, поддерживающий множество форматов видео и аудио. Xine-lib является бэкендом для множества проектов, в том числе Amarok (и Phonon вообще), Totem (до версии 2.28), Kaffeine и xine-ui.
В этой версии:

  • добавлена поддержка контейнера WebM (хотя поддержка VP8 ещё не реализована);
  • добавлена поддержка тегов «DISCNUMBER» для ogg и «TPOS» для ID3;
  • реализовано воспроизведение треков в формате EAC3;
  • появилась возможность собрать xine с использованием внешних libdvdnav и libdvdread;
  • добавлена регулировка гаммы в Xv.

Также было исправлено множество ошибок.

>>> Подробности

★★★★★

Проверено: Shaman007 ()

>добавлена поддержка контейнера WebM (хотя поддержка VP8 ещё не реализована);

странные... и вообще недоделкины

Sylvia ★★★★★ ()

>хотя поддержка VP8 ещё не реализована

Даже через ffmpeg? Он ведь умеет использовать ffmpeg в качестве декодера, а в самом ffmpeg поддержка vp8 уже есть.

Ttt ☆☆☆☆☆ ()

оно еще шевелится? О_о

Andru ★★★★ ()

И всё также жрёт RAM вместе с knotify4, да?

Mystra_x64 ★★★★★ ()

хина зависит от мпега ?
или наоборот ?

kto_tama ★★★★★ ()

Закопайте. Зачем нужно это поделие при живых ffmpeg и libvlc?

raorn ()

> добавлена поддержка контейнера WebM

Так вроде контейнер WebM это матрешка (mkv), которую xine давно как поддерживает

maxcom ★★★★★ ()
Ответ на: комментарий от Andru

уже хотябы потому

что есть файлы на которых ffmpeg валится в кору а xine lib нет.

Demimurych ()
Ответ на: комментарий от maxcom

Ну насколько я понял, WebM — это подвид матроски. Ну а уж коли поддержка Theora, Vorbis, AAC и H.264 наличествует, так осталось только прикрутить новый MIME (video/webm) и можно гордо писать о поддержке молодого, динамично развивающегося формата в release notes.
Впрочем, могу ошибаться.

dogbert ★★★★★ ()

это конечно хорошо,но все-таки vlc на егодня в более лучшей форме

muzlocker ()
Ответ на: уже хотябы потому от Demimurych

> что есть порноролики на которых ffmpeg валится в кору а xine lib нет.

FIXED.

raorn ()
Ответ на: уже хотябы потому от Demimurych

что есть файлы на которых ffmpeg валится в кору а xine lib нет.

примеры? Просто интересно, т.к. уже лет пять не открывал никаких особо «интересных» файлов.

Andru ★★★★ ()

Сабж нужен, хотя бы потому, что есть нормальный GTK-фронтенд, а не недоделки как у Mplayer.

buddhist ★★★★★ ()

>Xine-lib является бэкендом для множества проектов, в том числе Amarok (и Phonon вообще), Totem, Kaffeine и xine-ui.

Бэкендом для Totem уже как год не является :P

Lucky1 ★★★ ()
Ответ на: комментарий от buddhist

Вы так говорите, как будто это проблемы mplayer. GTK-филия до добра не доводит.

Mystra_x64 ★★★★★ ()
Ответ на: комментарий от maxcom

>>Так вроде контейнер WebM это матрешка (mkv), которую xine давно как поддерживает

Да, WebM - это всего лишь другой DOCTYPE в заголовке Матрешки и соответствующий CODEC_ID.

MuZHiK-2 ★★★★ ()
Ответ на: комментарий от Lucky1

>>Бэкендом для Totem уже как год не является :P

Кстати, да. Надо поправить.

MuZHiK-2 ★★★★ ()

>добавлена поддержка контейнера WebM

поздновато, но радует. Totem из коробки в Ubuntu же.

Chu ()
Ответ на: комментарий от buddhist

вот как раз фронтенд у xine гораздо хуже практически любого mplayer'ного. Впрочем, никто не мешает пускать без gui. другое дело, что наличие ещё одной либы позитивно - есть возможность выбора.

dotbg ★★★★ ()
Ответ на: комментарий от buddhist

вам фронтендом любоваться или фильмом?

PS: коммент Mystra_x64 как всегда блещет тупостью.

anonymous ()

1.2 выйдет вслед за Enlightenment 2?

anonymous ()
Ответ на: комментарий от poe

>Скоро можно будет свободно вздохнуть, когда выйдет phonon-vlc, и от сабжа избавятся.

Кто избавится? А Amarok 1.4?

anonymous ()
Ответ на: комментарий от anonymous

> вам фронтендом любоваться или фильмом?

Хорошее уточение) Хотя, вообще сравнивать xine и mplayer неправильно. Разного калибра вещи.

buddhist ★★★★★ ()

Вот эта ошибка все еще не исправлена: http://bugs.debian.org/396881 - т.е. для качественного воспроизведения звука без pulseaudio на 48-kHz-only картах эта штука все еще не годится.

AEP ★★★★★ ()

Ух ты, оно шевелится. А я его как раз две недели назад из своей дженты вырезал с корнями.

Lumi ★★★★★ ()
Ответ на: комментарий от AEP

>>Вот эта ошибка все еще не исправлена: http://bugs.debian.org/396881 - т.е. для качественного воспроизведения звука без pulseaudio на 48-kHz-only картах эта штука все еще не годится.

а если делать resample с помощью alsa плагинов (dmix, rate, plug slave) ?
этот вариант годится ?

Sky777 ()
Ответ на: комментарий от poe
$ pacman -Q phonon-vlc
phonon-vlc 0.2.0-1

Работает вполне себе.

madgnu ★★★★★ ()
Ответ на: комментарий от Sky777

> а если делать resample с помощью alsa плагинов (dmix, rate, plug slave) ?

Баг в том числе и в том, что даже при их наличии xine-lib каким-то образом ухитряется узнать, что карта 48-kHz-only, и делает resample сама (т.е. плугину достается уже готовый испорченный сигнал с частотой дискретизации 48 kHz, и ему делать уже нечего).

AEP ★★★★★ ()

Re: Релиз xine-lib 1.1.19

Нужно-нужно. Справляется с битыми роликами получше MPlayer. А вообще пользую для одних роликов xine, а для других MPlayer. Места они не шибко занимают, так почему бы не иметь оба проигрывателя на всякий случай?

NIR ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.